Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Class ThresholdNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              org.jboss.monitor.JBossMonitorNotification
                  org.jboss.monitor.ThresholdNotification

All Implemented Interfaces:
  Serializable

public class ThresholdNotification
extends JBossMonitorNotification

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`static String` | `THRESHOLD`
`static String` | `TRIGGERED_ATTRIBUTE_VALUE`

Fields inherited from class org.jboss.monitor.JBossMonitorNotification
`attribute, ATTRIBUTE, MONITOR_NAME, MONITOR_OBJECT_NAME, monitorName, monitorObjectName, NOTIFICATION_TYPE, OBSERVED_OBJECT, observedObject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ThresholdNotification(String monitorName, javax.management.ObjectName monitorObjectName, javax.management.ObjectName observedObject, String attribute, Number value, Number threshold, long sequenceNumber)`

Method Summary
`Number` | `getThreshold()`
`Number` | `getValue()`
`Map` | `substitutionMap()` Return a substitution map that can be used by org.jboss.util.Strings.subst to create a printable alert message.

Methods inherited from class org.jboss.monitor.JBossMonitorNotification
`getAttribute, getMonitorName, getMonitorObjectName, getObservedObject`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRIGGERED_ATTRIBUTE_VALUE

    public static final String TRIGGERED_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### THRESHOLD

    public static final String THRESHOLD

See Also:
  Constant Field Values

Constructor Detail

### ThresholdNotification

    public ThresholdNotification(String monitorName,
                                 javax.management.ObjectName monitorObjectName,
                                 javax.management.ObjectName observedObject,
                                 String attribute,
                                 Number value,
                                 Number threshold,
                                 long sequenceNumber)

Method Detail

### getValue

    public Number getValue()

### getThreshold

    public Number getThreshold()

### substitutionMap

    public Map substitutionMap()

  Return a substitution map that can be used by org.jboss.util.Strings.subst to create a printable alert message.

  Overrides:
    `substitutionMap` in class `JBossMonitorNotification`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.